Skip to content

Get communication preferences

GET
/users/{uid}/communication-preferences
curl --request GET \
--url https://apisandbox.puurk.com/users/example/communication-preferences \
--header 'Authorization: Bearer <token>'

Returns communication preferences for a user

uid
required
string

User ID

Successful operation

Media typeapplication/json
object
activity

Activity notification preferences

Array<object>
object
oid

Organization ID

string
email

Activity types for email notifications

Array<string>
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
sms

Activity types for SMS notifications

Array<string>
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
push

Activity types for push notifications

Array<string>
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
Example
{
"activity": [
{
"email": [
"offer_accepted"
],
"sms": [
"offer_accepted"
],
"push": [
"offer_accepted"
]
}
]
}

Unauthorized

User not found